Bug 30113 - bind initscript 'reload' function does not work
Summary: bind initscript 'reload' function does not work
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-28 23:46 UTC by Elliot Lee
Modified: 2007-03-27 03:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-01 19:41:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Elliot Lee 2001-02-28 23:46:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.16-24smp alpha; en-US; 0.8)
Gecko/20010217


the 'ndc' program doesn't work because named isn't listening on the UNIX
socket.

Reproducible: Always
Steps to Reproduce:
1. service named reload

Can also run "/usr/sbin/ndc reload" to see the actual error message.

Actual Results:  error message

Expected Results:  named restarted

Proper solution is probably 'kill -HUP <named pid>', so that listening on
the UNIX socket isn't required.

High priority because bindconf depends on this behaviour

Comment 1 Bernhard Rosenkraenzer 2001-03-01 10:11:59 UTC
The "ndc" program is obsolete and has not been included with bind starting 
with version 9.0.0, which has been in the tree for months.

the init script uses the correct command, /usr/sbin/rndc reload, which works 
with the current bind package.

If it doesn't work, it's a configuration problem (you probably didn't set up 
rndc keys).


Comment 2 Elliot Lee 2001-03-01 18:24:37 UTC
rndc does not work either ("connection refused").

It is unacceptable to require the user to perform bind configuration in order
for the user to perform bind configuration! :) The initscripts must function
properly without setting up servers, keys, or any other fancy stuff. 'service
named reload' must work out of the box. This is the way of the Jedi...

I am not Glen, but I personally consider this a MUST-FIX for 7.1, since a
package that I have worked on (bindconf) requires this to work correctly in
order for configuration changes to take effect.

Comment 3 Glen Foster 2001-03-01 18:31:45 UTC
Preston, I concur with Elliott's assessment -- do you agree this is MUST-FIX?

Comment 4 Bernhard Rosenkraenzer 2001-03-01 19:41:53 UTC
I'd still say this is NOTABUG: The concept of running *reload* on a service that 
hasn't been configured (and therefore shouldn't be running) is simply asking for 
trouble and security problems.

service anything reload

should never work on a service that isn't running already, and an unconfigured 
service shouldn't be running.

I can switch over to the kill -HUP hack - no problem, but I think this introduces a 
bug rather than fixing one.

Comment 5 Bernhard Rosenkraenzer 2001-03-02 08:32:03 UTC
It's changed in 9.1.0-6, but I still think reloading an unconfigured service
shouldn't work.

Comment 6 Wouter Liefting 2001-06-13 21:35:56 UTC
The problem is partly a configuration error too. Try adding the following to /etc/named.conf:

controls {
  inet 127.0.0.1 allow { localhost; };
  keys{ "key"; };
};

This actually allows rndc to connect to the named daemon properly.


Note You need to log in before you can comment on or make changes to this bug.